Bug 1441920 - "Failed to apply network settings" dialog on every login
"Failed to apply network settings" dialog on every login
Status: NEW
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pete Walter
Fedora Extras Quality Assurance
:
: 1474691 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-13 01:50 EDT by Pavel Roskin
Modified: 2018-01-25 04:41 EST (History)
45 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Roskin 2017-04-13 01:50:08 EDT
Description of problem:

I upgraded from Fedora 25 to Fedora 26, and I started getting an error dialog on every login.

Version-Release number of selected component (if applicable):

blueman-2.1-0.5.alpha1.fc26.x86_64
python3-gobject-base-3.24.0-1.fc26.x86_64
python3-dbus-1.2.4-6.fc26.x86_64

How reproducible:

every time

Steps to Reproduce:
1. Boot Fedora 26
2. Log in

Actual results:


A dialog is shown

Failed to apply network settings
You might not be able to connect to the Bluetooth network via this machine
Exception
g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.GLib.Error: Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/blueman/main/DbusService.py", line 38, in wrapper
    return method(*args[1:], **kwargs)
  File "/usr/lib/python3.6/site-packages/blueman/plugins/mechanism/Network.py", line 56, in ReloadNetwork
    self.confirm_authorization(caller, "org.blueman.network.setup")
  File "/usr/libexec/blueman-mechanism", line 166, in confirm_authorization
    action_id, {}, 1, "")
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gio.py", line 172, in __call__
    None)
GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: An SELinux policy prevents this sender from sending this message to this recipient, 0 matched rules; type="method_call", sender=":1.124" (uid=0 pid=3188 comm="python3 /usr/libexec/blueman-mechanism " label="system_u:system_r:blueman_t:s0") interface="org.freedesktop.PolicyKit1.Authority" member="CheckAuthorization" error name="(unset)" requested_reply="0" destination=":1.7" (uid=995 pid=801 comm="/usr/lib/polkit-1/polkitd --no-debug " label="system_u:system_r:policykit_t:s0") (9)
 (36)


Expected results:

No such dialog on login.


Additional info:

The exception stretches the dialog so that it doesn't fit the screen. The backtrace should be wrapped to prevent it.

ABRT doesn't capture the exception.

I went through all post-upgrade steps from https://fedoraproject.org/wiki/DNF_system_upgrade including autorelabel. That made no difference.

I'm using up-to-date Fedora 26 x86_64 that I upgraded from Fedora 25. The system is a Dell Laptop, the kernel reports is as Dell Inc. Inspiron 7348/0G14T4, BIOS A09 05/13/2016

I have never used Bluetooth with that system, so I don't know if it's working or was working.
Comment 1 Anderson Silva 2017-04-17 20:21:43 EDT
I had this same issue after the upgrade... One thing that I noticed was that I was using Gnome with Xorg.

I switched from Xorg to Wayland, and then isntead of the error message, I got a enter your password pop up for my username for rfkill state... Once I entered that, the error stopped showing up.
Comment 2 Paul DeStefano 2017-05-28 21:04:37 EDT
This is happening to me, too, on F26 upgrade from F25.

I'm not sure if Wayland will help.  I think everything is properly configured since I see my gdm session Type=Wayland.  But, my login session is X11.  I think this fallback and working as designed, but I don't know what is incompatible on my system.  If it's Intel graphics, then I can't do anything about it.
Comment 3 Saurabh Mookherjee 2017-06-15 02:53:54 EDT
I see this behaviour as well, on two instances. One on F26 upgraded from F25, and another on a fresh install of F26 Beta. Setting SELinux to 'permissive' brings up a popup as described above, but the popup continues to ask for authentication at the next boot up.
Comment 4 Marcel Wysocki 2017-06-17 13:52:35 EDT
Same here, upgraded from F25 to F26 beta
Comment 5 Viorel Tabara 2017-06-18 10:20:59 EDT
As a temporary workaround with dontaudit disabled I generated an SELinux policy 
for 'blueman':

    [root@omiday selinux]# cat mha_blueman.te 

    module mha_blueman 1.0;

    require {
        type init_t;
        type policykit_t;
        type blueman_t;
        class process noatsecure;
        class dbus send_msg;
    }

    #============= blueman_t ==============
    allow blueman_t policykit_t:dbus send_msg;

    #============= init_t ==============

    #!!!! This avc has a dontaudit rule in the current policy
    allow init_t blueman_t:process noatsecure;

Running:

    selinux-policy-3.13.1-257.fc26.noarch  Sat 17 Jun 2017 10:27:19 PM MDT
Comment 6 David Vásquez 2017-06-23 02:57:13 EDT
Same problem... I upgraded from Fedora 25 to Fedora 26. Please; Fix it is simple with a SELinux policy...
Comment 7 David Vásquez 2017-06-23 03:07:50 EDT
Issue already reported in the project... https://github.com/blueman-project/blueman/issues/711
Comment 8 Dominic Robinson 2017-07-11 14:18:34 EDT
Just updated to F26 - same problem.

The selinux module sort of works, but the PolicyKit policy appears to be out of date and that leads to a slew of authentication dialogues thereafter.
Comment 9 iakovos Gurulian 2017-07-12 06:45:05 EDT
This is also affecting me, and I am on Wayland. It doesn't seem like an upstream issue.
Comment 10 cs.rhbugz 2017-07-16 13:22:09 EDT
Linux foo 4.11.9-300.fc26.x86_64 #1 SMP Wed Jul 5 16:21:56 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

========================================================================
Logging in to xfce, I now always get this error dialog:

Failed to apply network settings


  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/blueman/main/DbusService.py", line 38, in wrapper
    return method(*args[1:], **kwargs)
  File "/usr/lib/python3.6/site-packages/blueman/plugins/mechanism/Network.py", line 56, in ReloadNetwork
    self.confirm_authorization(caller, "org.blueman.network.setup")
  File "/usr/libexec/blueman-mechanism", line 166, in confirm_authorization
    action_id, {}, 1, "")
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gio.py", line 172, in __call__
    None)
GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: An SELinux policy prevents this sender from sending this message to this recipient, 0 matched rules; type="method_call", sender=":1.74" (uid=0 pid=2219 comm="python3 /usr/libexec/blueman-mechanism " label="system_u:system_r:blueman_t:s0") interface="org.freedesktop.PolicyKit1.Authority" member="CheckAuthorization" error name="(unset)" requested_reply="0" destination=":1.7" (uid=999 pid=1008 comm="/usr/lib/polkit-1/polkitd --no-debug " label="system_u:system_r:policykit_t:s0") (9)
 (36)


========================================================================
Excerpts from system log:

Jul 16 12:49:53 foo kernel: SELinux:  Class bluetooth_socket not defined in policy.

[That one is not new; been happening since late in fc25.  But never had this dialog error before.]

Jul 16 12:50:18 foo kernel: Bluetooth: Core ver 2.22
Jul 16 12:50:18 foo kernel: NET: Registered protocol family 31
Jul 16 12:50:18 foo kernel: Bluetooth: HCI device and connection manager initialized
Jul 16 12:50:18 foo kernel: Bluetooth: HCI socket layer initialized
Jul 16 12:50:18 foo kernel: Bluetooth: L2CAP socket layer initialized
Jul 16 12:50:18 foo kernel: Bluetooth: SCO socket layer initialized

Jul 16 12:50:18 foo kernel: Bluetooth: hci0 command 0x1009 tx timeout

Jul 16 12:50:27 foo systemd: Starting Bluetooth service...
Jul 16 12:50:28 foo bluetoothd[965]: Bluetooth daemon 5.45
Jul 16 12:50:28 foo systemd: Started Bluetooth service.
Jul 16 12:50:28 foo audit: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=bluetooth comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jul 16 12:50:29 foo systemd: Reached target Bluetooth.

Jul 16 12:50:29 foo bluetoothd[965]: Starting SDP server

Jul 16 12:50:30 foo kernel: Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Jul 16 12:50:30 foo kernel: Bluetooth: BNEP filters: protocol multicast
Jul 16 12:50:30 foo kernel: Bluetooth: BNEP socket layer initialized
Jul 16 12:50:30 foo dbus-daemon[947]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service' requested by ':1.4' (uid=0 pid=965 comm="/usr/libexec/bluetooth/bluetoothd " label="system_u:system_r:bluetooth_t:s0")
Jul 16 12:50:30 foo bluetoothd[965]: Bluetooth management interface 1.14 initialized

Jul 16 12:51:14 foo NetworkManager[1028]: <info>  [1500223874.0816] Loaded device plugin: NMBluezManager (/usr/lib64/NetworkManager/libnm-device-plugin-bluetooth.so)

Jul 16 12:51:16 foo NetworkManager[1028]: <info>  [1500223876.8103] bluez: use BlueZ version 5

Jul 16 12:52:34 foo /usr/libexec/gdm-x-session: (II) modeset(0): blueX: 0.150 blueY: 0.130   whiteX: 0.313 whiteY: 0.329

Jul 16 12:53:01 foo dbus-daemon[1637]: [session uid=1001 pid=1637] Activating via systemd: service name='org.bluez.obex' unit='dbus-org.bluez.obex.service' requested by ':1.59' (uid=1001 pid=2121 comm="python3 /bin/blueman-applet " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
Jul 16 12:53:01 foo dbus-daemon[1637]: [session uid=1001 pid=1637] Activation via systemd failed for unit 'dbus-org.bluez.obex.service': Unit dbus-org.bluez.obex.service not found.
Jul 16 12:53:01 foo dbus-daemon[1637]: [session uid=1001 pid=1637] Successfully activated service 'org.freedesktop.Notifications'
Jul 16 12:53:01 foo systemd: Started XFCE notifications service.
Jul 16 12:53:02 foo dbus-daemon[947]: [system] Activating via systemd: service name='org.blueman.Mechanism' unit='blueman-mechanism.service' requested by ':1.67' (uid=1001 pid=2121 comm="python3 /bin/blueman-applet " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
Jul 16 12:53:02 foo systemd: Starting Bluetooth management mechanism...
Jul 16 12:53:02 foo journal: /org/gnome/OnlineAccounts/Accounts/account_1467395960_0: Setting AttentionNeeded to TRUE because EnsureCredentials() failed with: Failed to refresh access token (rest-proxy-error-quark, 401): Unauthorized (goa-error-quark, 4)

Jul 16 12:53:02 foo audit: USER_START pid=2218 uid=1001 auid=1001 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_open grantors=pam_keyinit,pam_limits,pam_systemd,pam_unix acct="root" exe="/usr/bin/pkexec" hostname=? addr=? terminal=? res=success'
Jul 16 12:53:02 foo blueman-mechanism: Unable to init server: Could not connect: Connection refused
Jul 16 12:53:02 foo blueman-mechanism: Unable to init server: Could not connect: Connection refused
Jul 16 12:53:02 foo dbus-daemon[947]: [system] Successfully activated service 'org.blueman.Mechanism'
Jul 16 12:53:02 foo systemd: Started Bluetooth management mechanism.

Jul 16 12:53:02 foo audit: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=blueman-mechanism comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Jul 16 12:53:02 foo audit: USER_AVC pid=947 uid=81 auid=4294967295 ses=4294967295 subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 msg='avc:  denied  { send_msg } for msgtype=method_call interface=org.freedesktop.DBus.Properties member=GetAll dest=:1.7 spid=2219 tpid=1008 scontext=system_u:system_r:blueman_t:s0 tcontext=system_u:system_r:policykit_t:s0 tclass=dbus#012 exe="/usr/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'

Jul 16 12:53:02 foo audit: USER_AVC pid=947 uid=81 auid=4294967295 ses=4294967295 subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 msg='avc:  denied  { send_msg } for msgtype=method_call interface=org.freedesktop.PolicyKit1.Authority member=CheckAuthorization dest=:1.7 spid=2219 tpid=1008 scontext=system_u:system_r:blueman_t:s0 tcontext=system_u:system_r:policykit_t:s0 tclass=dbus#012 exe="/usr/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'

Jul 16 12:53:03 foo audit: USER_AVC pid=947 uid=81 auid=4294967295 ses=4294967295 subj=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 msg='avc:  denied  { send_msg } for msgtype=method_call interface=org.freedesktop.PolicyKit1.Authority member=CheckAuthorization dest=:1.7 spid=2219 tpid=1008 scontext=system_u:system_r:blueman_t:s0 tcontext=system_u:system_r:policykit_t:s0 tclass=dbus#012 exe="/usr/bin/dbus-daemon" sauid=81 hostname=? addr=? terminal=?'

Jul 16 12:53:33 foo audit: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=blueman-mechanism comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'



Jul 16 13:07:02 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:165:adapter_get_dbus_object_path: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:04 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:165:adapter_get_dbus_object_path: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:19 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:194:adapter_get_properties: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:19 foo audit: ANOM_ABEND auid=1001 uid=1001 gid=1001 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=3246 comm="bt-adapter" exe="/usr/bin/bt-adapter" sig=6 res=1
Jul 16 13:07:20 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:165:adapter_get_dbus_object_path: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:20 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:194:adapter_get_properties: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:20 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:165:adapter_get_dbus_object_path: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:27 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:194:adapter_get_properties: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:27 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:165:adapter_get_dbus_object_path: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:28 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:194:adapter_get_properties: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:28 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:165:adapter_get_dbus_object_path: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:28 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:194:adapter_get_properties: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:28 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:165:adapter_get_dbus_object_path: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:28 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:194:adapter_get_properties: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:28 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:165:adapter_get_dbus_object_path: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:29 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:194:adapter_get_properties: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:29 foo /usr/libexec/gdm-x-session: ERROR:lib/bluez/adapter.c:165:adapter_get_dbus_object_path: assertion failed: (ADAPTER_IS(self))
Jul 16 13:07:29 foo systemd-coredump: Process 3285 (bt-adapter) of user 1001 dumped core.#012#012Stack trace of thread 3285:#012#0  0x00007fc10c15f66b raise (libc.so.6)#012#1  0x00007fc10c161470 abort (libc.so.6)#012#2  0x00007fc10cb5670d g_assertion_message (libglib-2.0.so.0)#012#3  0x00007fc10cb5679a g_assertion_message_expr (libglib-2.0.so.0)#012#4  0x000055c301c34449 adapter_get_properties (bt-adapter)#012#5  0x000055c301c2f5f4 main (bt-adapter)#012#6  0x00007fc10c1494da __libc_start_main (libc.so.6)#012#7  0x000055c301c2fd2a _start (bt-adapter)#012#012Stack trace of thread 3286:#012#0  0x00007fc10c22da9d poll (libc.so.6)#012#1  0x00007fc10cb30569 g_main_context_iterate.isra.25 (libglib-2.0.so.0)#012#2  0x00007fc10cb3067c g_main_context_iteration (libglib-2.0.so.0)#012#3  0x00007fc10cb306c1 glib_worker_main (libglib-2.0.so.0)#012#4  0x00007fc10cb57536 g_thread_proxy (libglib-2.0.so.0)#012#5  0x00007fc10bc9e36d start_thread (libpthread.so.0)#012#6  0x00007fc10c239b8f __clone (libc.so.6)#012#012Stack trace of thread 3287:#012#0  0x00007fc10c22da9d poll (libc.so.6)#012#1  0x00007fc10cb30569 g_main_context_iterate.isra.25 (libglib-2.0.so.0)#012#2  0x00007fc10cb30902 g_main_loop_run (libglib-2.0.so.0)#012#3  0x00007fc10c816cb6 gdbus_shared_thread_func (libgio-2.0.so.0)#012#4  0x00007fc10cb57536 g_thread_proxy (libglib-2.0.so.0)#012#5  0x00007fc10bc9e36d start_thread (libpthread.so.0)#012#6  0x00007fc10c239b8f __clone (libc.so.6)

etc.
Comment 11 cs.rhbugz 2017-07-16 13:47:53 EDT
I am not actually using bluetooth at all, so here's a workaround to stop the error dialog from coming up.  (You may still get a transient "Something went wrong" error flash by, but you won't be interrupted.)

# systemctl mask bluetooth.service
Comment 12 Dominik 'Rathann' Mierzejewski 2017-07-18 09:38:15 EDT
Same here and I had to apply a similar SELinux policy fix. polkit policy update is missing now.
Comment 13 Dominik 'Rathann' Mierzejewski 2017-07-18 09:39:39 EDT
I'm on Xorg + MATE, for the record.
Comment 14 oliver 2017-07-26 09:51:08 EDT
Same problem here, dnf upgrade F25->F26 with fedora cinnamon spin.
Comment 15 Dominic Robinson 2017-07-26 10:35:08 EDT
Also furthermore with XFCE this delays the desktop startup programs by about 30 seconds, if your using a 3rd party compositor like me that is really annoying.

No doubt another bug that'll go ignored - never actually seen a bugzila bug get looked into, truly a thing of legend.
Comment 16 hdfssk 2017-07-28 00:12:27 EDT
I've also hit this problem with Xorg + MATE on a dnf f25→f26 upgrade.

(In reply to Viorel Tabara from comment #5)
> As a temporary workaround with dontaudit disabled I generated an SELinux
> policy for 'blueman':
> 
>     [root@omiday selinux]# cat mha_blueman.te 
> 
>     module mha_blueman 1.0;
> 
>     require {
>         type init_t;
>         type policykit_t;
>         type blueman_t;
>         class process noatsecure;
>         class dbus send_msg;
>     }
> 
>     #============= blueman_t ==============
>     allow blueman_t policykit_t:dbus send_msg;
> 
>     #============= init_t ==============
> 
>     #!!!! This avc has a dontaudit rule in the current policy
>     allow init_t blueman_t:process noatsecure;
> 
> Running:
> 
>     selinux-policy-3.13.1-257.fc26.noarch  Sat 17 Jun 2017 10:27:19 PM MDT

Viorel's workaround policy had some issues here. As root, I created an mha_blueman.te and ran these commands to build & install it:

# checkmodule -M -m -o mha_blueman.mod mha_blueman.te
# semodule_package -o mha_blueman.pp -m mha_blueman.mod
# semodule -i mha_blueman.pp

On reboot, I now see three dialogs. The first says “Configuring networking requires privileges”; the second says “Setting RfKill State requires privileges” (like Anderson’s from comment 1); the third was similar to OP’s dialog, reading “Failed to apply network settings”, but the Exception just reads “g-io-error-quark: Timeout was reached (24)”.

In reply to David Vásquez from comment 7:
> Issue already reported in the project... https://github.com/blueman-project/blueman/issues/711

That upstream issue was closed with a suggestion that an out of date org.blueman.policy file caused the problem. Fedora 26's /usr/share/polkit-1/actions/org.blueman.policy is in sync with upstream's latest source file (the f26 version includes all translations for the descriptions/messages, but is otherwise identical) so that's probably not the cause.
>
Comment 17 Niklas Fischer 2017-08-02 03:01:35 EDT
*** Bug 1474691 has been marked as a duplicate of this bug. ***
Comment 18 Jyrki Tikka 2017-08-02 07:00:53 EDT
Installing the package "blueberry" got rid of some of the problems. Now I can at least give my password to those dialogs successfully. However, the dialogs still appear on every single login. Very annoying. Note that I run this system with selinux disabled.

After the installation of blueberry, the Bluetooth manager works fine on xorg but not on Wayland.
Comment 19 Luca Giuzzi 2017-08-05 09:58:38 EDT
The message is generated by blueman-applet.
It can be disabled by preventing blueman to autostart (editing the relevant blueman.desktop file in /etc/xdg/autostart ) but clearly this is not a solution.
Comment 20 Dominic Robinson 2017-08-05 10:11:36 EDT
I think blueman is unofficially depreciated in Fedora 26 - the F26 comps for the non GNOME desktops all now list blueberry instead.

I believe we're experiencing this issue because we've upgraded from a previous version of Fedora.

I installed blueberry and then removed blueman and everything is working as it did before the upgrade. You have to install blueberry before blueman though as there are some packages that depend on either.
Comment 21 Woi 2017-08-13 09:26:44 EDT
Same here on a Thinkpad T420 with XFCE after upgrading from Fedora 25 (i686) to Fedora 26.
Comment 22 Woi 2017-08-13 09:31:45 EDT
Maybe this should be added to Common F26 bugs...
Comment 23 Jay Turner 2017-08-14 08:44:24 EDT
+1 on @dominic's response . . . manually removing Blueman (in favor of Blueberry) resolved the issue for me post-upgrade.
Comment 24 Joe Fidler 2017-08-14 10:11:31 EDT
Also confirming Dominic's suggestion. I have Fedora 26 that was upgraded from 25 and got this dialog at every system startup. About a week ago I followed Dominic's suggestion - installed Blueberry and then removed Blueman - and have not seen the soalog since.
Comment 25 Woi 2017-09-17 19:37:51 EDT
Dominic suggestion seems to work fine. In addition it also fixes
Bug #570073 "bluetooth on/off setting always set to on after reboot"
Comment 26 Rick 2017-11-10 15:08:04 EST
Installing blueberry and then removing blueman worked for me.

I upgraded from F24 to F26 and then experienced Bluetooth issues with the warning/error messages mentioned above.  After removing blueman, everything seems to be fine.
Comment 27 Stan King 2017-11-25 12:56:57 EST
I saw this after the upgrade from F25 to F26, and I still see it with the upgrade from F26 to F27.
Comment 28 Eirik Schultz 2017-12-22 17:48:34 EST
Same problem here. Upgrade from F25 to F26 and then to F27. Problem has been occurring since I upgraded to F27.
Comment 29 Francois 2017-12-23 12:07:45 EST
same problem upgrading from F25 to F27 using Mate
Comment 30 rgb 2017-12-28 10:41:34 EST
Same problem here, upgrading from F25 to F26 (problem present) to F27 using XFCE.  I have SELinux completely disabled and it still occurs, and when I try the fix described above I get:

rgb@lucifer|B:1029#semodule -i mha_blueman.pp
Failed to resolve typeattributeset statement at /var/lib/selinux/minimum/tmp/modules/400/mha_blueman/cil:1
semodule:  Failed!

Super annoying bug, and yes, I see the sequence of 2-3 XFCE messages, all prompting me to enter a root password, every login (not just networking, rtkit too).
Comment 31 Dominic Robinson 2017-12-29 10:06:08 EST
Again - no one is currently maintaining the blueman package, nor is blueman itself being actively developed. On Fedora 26+ blueman has been replaced by blueberry in the Xfce/Mate spins.

You only have blueman because you've upgraded from a version <= 25. I don't get why this is still open - no one's going to respond to this!

dnf install blueberry && dnf install blueman

Is all that's needed.
Comment 32 Dominic Robinson 2017-12-29 10:06:48 EST
Sorry should be:
dnf install blueberry && dnf remove blueman
Comment 33 Dominik 'Rathann' Mierzejewski 2017-12-29 13:06:20 EST
(In reply to Dominic Robinson from comment #31)
> Again - no one is currently maintaining the blueman package, nor is blueman
> itself being actively developed. On Fedora 26+ blueman has been replaced by
> blueberry in the Xfce/Mate spins.

If that's the case, then one of the maintainers should orphan it to indicate its status.
Comment 34 Pete Walter 2017-12-29 14:53:30 EST
Can you try with blueman 2.1 alpha2 that upstream recently released? It's already in updates repo.
Comment 35 J.Miguel Aguilera 2018-01-09 06:02:33 EST
(In reply to Pete Walter from comment #34)
> Can you try with blueman 2.1 alpha2 that upstream recently released? It's
> already in updates repo.

In fc27 I`ve had this blueman`s version until today, because I could transfer files...but of course, the network never worked.

dnf info blueman
Última comprobación de caducidad de metadatos hecha hace 1:41:50, el mar 09 ene 2018 09:41:46 CET.
Paquetes instalados
Nombre       : blueman
Epoch        : 1
Versión      : 2.1
Lanzamiento  : 0.8.alpha2.fc27
Arquitectura : x86_64
Tamaño       : 3.1 M
Fuente       : blueman-2.1-0.8.alpha2.fc27.src.rpm
Repo         : @System
Desde repo   : updates
Resumen      : GTK+ Bluetooth Manager
URL          : https://github.com/blueman-project/blueman
Licencia     : GPLv2+
Descripción  : Blueman is a tool to use Bluetooth devices. It is designed to provide simple,
             : yet effective means for controlling BlueZ API and simplifying bluetooth tasks
             : such as:
             : - Connecting to 3G/EDGE/GPRS via dial-up
             : - Connecting to/Creating bluetooth networks
             : - Connecting to input devices
             : - Connecting to audio devices
             : - Sending/Receiving files via OBEX
             : - Pairing

After apply (In reply to Dominic Robinson from comment #32)
> Sorry should be:
> dnf install blueberry && dnf remove blueman

everything works fine, network share included. Thanks Dominic
Comment 36 Txe 2018-01-25 04:41:52 EST
yehp, it (comment #32] also worked for me. Thanks Dominic.

Note You need to log in before you can comment on or make changes to this bug.